routes/web.php
<?php
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//Website
Route::group(['namespace' => 'Website'], function () {

    Route::get('/', 'WebsiteController@get_index')->name('index');
    Route::get('/product', 'WebsiteController@get_product')->name('product');
    Route::get('policy', 'WebsiteController@get_policy')->name('policy');
    Route::get('terms', 'WebsiteController@get_terms')->name('terms');
    //products
    Route::get('products', 'ProductsController@index')->name('products.web.index');
    Route::get('products/{product}', 'ProductsController@show')->name('products.web.show');
    Route::get('autocomplete', 'ProductsController@autocomplete')->name('products.web.autocomplete');

    //category
    Route::get('categories/{category}/products', 'ProductsController@index_category')->name('products.categories');
    Route::get('categories/{category}', 'CatgoriesController@show')->name('categories.web.show');

    //cart
    Route::get('cart','CartContoller@index')->name('cart.index');
    Route::post('cart/{product}/store','CartContoller@store')->name('cart.store');
    Route::delete('cart/empty','CartContoller@empty')->name('cart.empty');
    Route::delete('cart/{product}/remove','CartContoller@remove')->name('cart.remove');
    Route::get('register', 'ClientController@create')->name('web.client.create');
    Route::post('register/store', 'ClientController@store')->name('web.client.store');

    // Auth::routes()
    Route::group(['namespace' => 'Auth'], function() {
        Route::get('login', 'LoginController@showLoginForm')->name('web.login');
        Route::post('login', 'LoginController@login')->name('web.login.store');
        Route::post('logout', 'LoginController@logout')->name('web.logout');
        Route::get('forget','ForgetPasswordController@index')->name('web.forget');
        Route::post('forget','ForgetPasswordController@forget')->name('web.forget_password');
        Route::get('password/reset/{token}', 'ForgetPasswordController@showResetForm')->name('password.reset');
        Route::post('password/reset', 'ForgetPasswordController@reset')->name('password.update');

    });

    Route::group(['middleware' => 'auth.buyer'], function () {
        //addresses
        Route::get('MyAddresses/index', 'AddressesController@index')->name('web.myaddresses.index');
        Route::get('MyAddresses/create', 'AddressesController@create')->name('web.myaddresses.create');
        Route::get('MyAddresses/{address}/edit', 'AddressesController@edit')->name('web.myaddresses.edit');
        Route::put('MyAddresses/{address}/update', 'AddressesController@update')->name('web.myaddresses.update');
        Route::delete('MyAddresses/{address}/destroy', 'AddressesController@destroy')->name('web.myaddresses.destroy');
        Route::post('MyAddresses/store', 'AddressesController@store')->name('web.myaddresses.store');

        //orders
        Route::get('MyOrders', 'OrdersController@index')->name('web.myorders.index');
        Route::get('MyOrders/{order}/order', 'OrdersController@show')->name('web.myorders.show');




        Route::get('MyWishlists', 'WishlistsController@index')->name('web.mywishlists');
        Route::get('MyWishlists/create', 'WishlistsController@create')->name('web.mywishlists.create');
        Route::post ('MyWishlists/add', 'WishlistsController@add')->name('web.mywishlists.add');
        Route::put ('MyWishlists/update', 'WishlistsController@update')->name('web.mywishlists.update');
        Route::delete('MyWishlists/{wishlist_product}/remove', 'WishlistsController@remove')->name('web.mywishlists.remove');

        Route::delete('MyWishlists/{wishlist}/destroy', 'WishlistsController@destroy')->name('web.mywishlists.destroy');
        Route::post('MyWishlists/store', 'WishlistsController@store')->name('web.mywishlists.store');

        Route::post('checkout', 'OrdersController@get_checkout')->name('web.checkout');
        Route::post('checkout/place_order/{order}', 'OrdersController@place_order')->name('web.orders.place_order');

    });

});


//Admin
Route::group(['prefix' => 'admin'], function () {


    // Auth::routes()
    Route::group(['namespace' => 'Auth'], function() {
        Route::get('login', 'LoginController@showLoginForm')->name('login');
        Route::post('login', 'ConfirmPasswordController@login');
        Route::post('logout', 'LoginController@logout')->name('logout');
        Route::post('reset', 'ResetPasswordController@reset')->name('password.request');
    });

    Route::group(['middleware' => 'auth', 'namespace' => 'Admin'], function () {

        // Dashboard
        Route::get('dashboard', 'DashboardController@index')->name('dashboard.index');
        // All
        Route::resource('users', 'UserController');
        Route::post('users/create/fetch', 'UserController@fetch_category_data')->name('category.fetch');

        // Clients
        Route::resource('clients', 'ClientController');
        //Cities
        Route::resource('cities', 'CityController');
        // Stores
        Route::resource('stores', 'StoreController');
        Route::resource('stores/{store}/tags', 'StoreTagController');
        Route::put('stores/{store}/cover', 'StoreController@update_cover')->name('stores.update_cover');
        Route::resource('stores/{store}/offers', 'StoreOfferController');
        // products
        Route::resource('stores/{store}/products', 'ProductsController');
        Route::resource('stores/{store}/products/{product}/specs', 'SpecsController');
        Route::get('products','ProductsController@all_index')->name('all_products.index');
        Route::put('stores/{store}/products/{product}/to_review','ProductsController@to_review')->name('products.to_review');
        Route::put('stores/{store}/products/{product}/to_approve','ProductsController@to_approve')->name('products.to_approve');
        Route::put('stores/{store}/products/{product}/to_reject','ProductsController@to_reject')->name('products.to_reject');
        Route::put('stores/{store}/products/{product}/to_offline','ProductsController@to_offline')->name('products.to_offline');

        //offers
        Route::resource('stores/{store}/products/{product}/offers', 'ProductOffersController');
        ////
        Route::put('stores/{store}/products/{product}/update_image', 'ProductsController@update_image')->name('products.update_image');
        Route::post('stores/{store}/products/{product}/add_image', 'ProductsController@add_image')->name('products.add_image');
        Route::delete('stores/{store}/products/{product}/product_image/{product_image}', 'ProductsController@remove_image')->name('products.remove_image');
        //Orders
        Route::resource('orders', 'OrderController');
        Route::put('orders/{order}/confirm','OrderController@confirm')->name('orders.confirm');
        Route::put('orders/{order}/shipped','OrderController@shipped')->name('orders.shipped');
        Route::get('orders/{order}/print','PrintController@prnpriview')->name('orders.print');

        Route::put('orders/{order}/in_shipping','OrderController@in_shipping')->name('orders.in_shipping');

        //shipments
        Route::get('shipments','ShipmentsController@index')->name('shipments.index');
        Route::put('shipments/{shipment}','ShipmentsController@confirm')->name('shipments.confirm');
        //reviews
        Route::resource('stores/{store}/reviews', 'ProductsController');
        //Banners
        Route::resource('banners','BannerController');
        // Categories
        Route::resource('categories', 'CategoryController');
        Route::resource('categories/{category}/subs', 'SubCategoryController');
        // Notifications
        Route::resource('notifications', 'NotificationController', ['only' => ['index', 'create', 'store']]);
        //Tags Presets
        Route::resource('tags_presets', 'TagsPresetsController');
        Route::resource('tags_presets/{tags_preset}/tags_params', 'TagsPresetsParametersController');


    });

});

app/Client.php
<?php

namespace App;

use App\Http\Controllers\Traits\ClientTrait;
use Illuminate\Database\Eloquent\Model;
use Kyslik\ColumnSortable\Sortable;

class Client extends Model
{
    //
    use ClientTrait;
    use Sortable;

    const STATUS_VERIFIED = 1;
    const STATUS_NOT_VERIFIED = 2;
    const STATUS_SUSPENDED = 3;

    public $sortable = ['id','age','name' ];
    public $sortableAs = ['reviews_count'];


    public function user()
    {
        return $this->belongsTo('App\User', 'user_id');
    }

    public function nation()
    {
        return $this->belongsTo('App\Nation', 'nation_id');
    }
    public function reviews()
    {
        return $this->hasMany('App\ProductReview', 'client_id');
    }
    public function orders()
    {
        return $this->hasMany('App\Order', 'client_id');
    }

    public function getAvatarAttribute($value)
    {
        return asset('files/users/images/'.$value);
    }
}

app/Http/Controllers/Admin/ClientController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Client;
use App\Review;
use App\BookmarkCollection;
use App\Checkin;
use App\Consumption;
use App\Http\Misc\Helpers\FileHandler;
use App\ListCollection;
use App\Order;
use App\ProductReview;
use App\Tip;
use App\Wishlist;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Storage;

class ClientController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Client $client,Request $request)
    {
        $this->authorize('view-super', Auth::user());

        $clients = $client;
        if($request->name!=""){
            $names = explode(" ", $request->name);
            $clients = Client::where(function($query) use ($names) {
                $query->whereIn('name', $names);
            });
        }
        if ($request->query('age')) {
            $clients = $clients->where('age', $request->query('age'));
        }
        if ($request->query('gender')) {
            $clients = $clients->where('gender', $request->query('gender'));
        }
        $clients = $clients->sortable()->paginate(8);

        $name = 'clients';
        $data = $clients;

        return view('clients.index', compact('clients', 'name', 'data'));
    }


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $this->authorize('view-super', Auth::user());

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->authorize('view-super', Auth::user());

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Client $client)
    {
        //
        $this->authorize('view-super', Auth::user());

        $reviews=ProductReview::where('client_id', $client->id)->orderBy('id','desc')->limit(3)->get();

        $wishlists=Wishlist::where('user_id', $client->user->id)->orderBy('id','desc')->limit(3)->get();
        $orders=Order::where('client_id', $client->id)->orderBy('id','desc')->limit(3)->get();
        $name     = 'clients';

        return view('clients.show', compact('client',  'name','reviews','wishlists','orders'));

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Client $client)
    {
        //
        $this->authorize('view-super', Auth::user());
        $name = 'clients';
        return view('clients.edit', compact( 'client','name'));

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Client $client)
    {
        //
        $this->authorize('view-super', Auth::user());

        if ($request->hasFile('avatar')) {
            //upload it
            Storage::disk('users_images')->delete($client->image);
            $avatar =FileHandler::store_img($request->avatar, 'users_images');
            //delete old one
            if (isset($request->avatar))
            $client->avatar = $avatar;
        }
        //update attribites
        if (isset($request->name))
            $client->name = $request->name;
        if (isset($request->age))
        $client->age = $request->age;
        if (isset($request->bio))
         $client->bio = $request->bio;
        if (isset($request->address))
            $client->address = $request->address;
        if (isset($request->phone))
            $client->phone = $request->phone;
        if (isset($request->status))
            $client->status = $request->status;
            if (isset($request->gender))
            $client->gender = $request->gender;

        $client->save();

        return redirect()->route('clients.index')->with('message', 'Client info updated');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $this->authorize('view-super', Auth::user());

    }
}

app/Http/Controllers/Website/ClientController.php
<?php

namespace App\Http\Controllers\Website;

use App\Address;
use Illuminate\Support\Facades\Auth;

use App\Client;
use App\Http\Controllers\Controller;
use App\Http\Requests\Website\AddNewClientRequest;
use App\User;
use Illuminate\Http\Request;

class ClientController extends Controller
{
    //

    public function create()
    {
        //
        return view('website.client.create');
    }

    public function store(AddNewClientRequest $request)
    {
        //
        $user = new User();
        $user->email    = $request->input('email');
        $user->password = bcrypt($request->password);
        $user->role     = 2;
        $user->save();

        $client= new Client();
        $client->user_id      = $user->id;
        $client->name         = $request->name;
        $client->gender       = $request->gender;
        $client->nation_id    = 66;
        $client->phone        = $request->phone;
        $client->save();
        $address = new Address();
        $address->user_id   =$user->id;
        $address->address   =$request->address;
        $address->city_id   =$request->city_id;
        $address->save();

        return redirect()->route('web.login')->with('message', 'Account created successfully');

    }
}

resources/views/clients/edit.blade.php
@extends('layouts.resource.edit')


@section('form')

<form method="POST" action="{{ route($name. '.update', $client->id) }}" enctype="multipart/form-data">

               @csrf


    @method('PUT')

    <div class="form2">
        <div class=" mb-3">
        <h3 class="section-header ">Additional information: </h3>
        <p class="section-subheader">
            This is required additional information for creating new user
            <code>Client</code>
        </p>
        </div>
        </div>
            <div class=" flex-fill ">
                <div class="row">
                    <div class="col form-group">
                        <label class="form-label">Name</label>
                        <input type="text" name="first_name" class="form-control" placeholder="First Name"
                            value={{isset($client) ? $client->first_name:old('first_name')}}>
                    </div>

                    <div class="col form-group">
                        <label class="form-label">Avatar</label>
                        <div class="custom-file">
                            <label class="custom-file-label" for="validatedCustomFile">Replace avatar...</label>
                            <input type="file" name="avatar" id="custom-file-input-image" class="custom-file-input">
                        </div>
                    </div>
                    <div class="col-1 form-group ">
                        <label class="form-label">Current </label>
                    <img class=" pp-square " src="{{ $client->avatar }}" alt="avatar" >
                    </div>
                </div>
                <div class="row">
                    <div class=" col form-group">
                        <label class="form-label">BIO</label>
                        <textarea type="text" row="5" name="bio" class="form-control" placeholder="BIO"
                       value= {{isset($client) ? $client->bio:old('bio')}}>{{isset($client) ? $client->bio:old('bio')}}</textarea>
                    </div>
                    <div class="form-group col ">
                        <label class="form-label">Gender : </label>
                        <div>
                            <select class="form-control m-input " name="gender" ">
                                                    <option value="">Select a gender </option>
                                                    <option value="m" @if(request()->query('gender') == 'm') selected @endif>Male</option>
                                <option value="f" @if(request()->query('gender') == 'f') selected @endif>Female</option>
                            </select>

                        </div>
                    </div>

                    {{-- <div class="col-4 form-group">
                        <input type="tel" name="phone" class="form-control my-2" placeholder="Phone" id="phone"
                        value={{isset($client) ? $client->phone:old('phone')}}>
                            <input type="tel" name="fb_url" class="form-control" placeholder="Facebook" id="fb_url"
                            value={{isset($client) ? $client->fb_url:old('fb_url')}}>
                </div> --}}

                </div>
        </div>
        <div class="row">
            <div class="col form-group">
                <label class="form-label">Status</label>
                <select name="status" class="custom-select">
                    <option value="0" {{isset($client) ? $client->status == 'none' ? 'selected' :"":""}} >Choose...</option>
                    <option value="1" {{isset($client) ? $client->status == '1' ? 'selected' :"":""}}>Verified</option>
                    <option value="2" {{isset($client) ? $client->status == '2' ? 'selected' :"":""}}>Not verified</option>
                    <option value="3" {{isset($client) ? $client->status == '3' ? 'selected' :"":""}}>Suspended</option>
                </select>
            </div>
            <div class="form-group col ">
                <label class="form-label">Age : </label>
                <input type="number" name="age" class="form-control m-input" min="5" max="130"
                id="age" aria-describedby="nameHelp" placeholder="Enter user age"  value="{{isset($client) ? $client->age:old('age')}}">
            </div>

        </div>
    <button type="submit" class="btn1 btn float-right bg-blue mb-5 ">Submit</button>
    </div>

</form>

<script type="text/javascript">
    $(document).ready(function(){
      $(".form_datetime").datetimepicker({
        pickDate: false,
        minuteStep: 15,
        pickerPosition: 'bottom-right',
        format: 'HH:ii:00',
        autoclose: true,
        showMeridian: true,
        startView: 1,
        maxView: 1,
      });
      });
    </script>
   <script>
    $('.custom-file-input').on('change', function () {
        //get the file name
        var fileName = document.getElementById("custom-file-input-image").files[0].name;
        //replace the "Choose a file" label

        $('.custom-file-label').html(fileName);
        console.log(fileName)

    })
</script>

<script>
    $('.sub').prop('disabled', true);
    $('.cat').change(function () {
        $('.sub').prop('disabled', false);
        if ($(this).val() != '') {
            var select = $(this).attr("id");
            var value = $(this).val();
            var dependent = $(this).data('dependent');
            var _token = $('input[name="_token"]').val();
            $.ajax({
                url: "{{ route('category.fetch') }}",
                method: "POST",
                data: {
                    select: select,
                    value: value,
                    dependent: dependent,
                    _token: _token
                },
                success: function (result) {
                    $('#' + dependent).html(result);
                }
            })
        }
    });

    $('#category').change(function () {
        $('#sub_category').val('');
    });
</script>

@endsection

resources/views/clients/index.blade.php
@extends('layouts.resource.index')
@section('title', 'Clients')
@section('create-btn')
<a href="{{ route('users' . '.create',["type"=>2]) }}" class=" clr-blue p-2 "><i class="fas fa-plus"></i></a>
@endsection

@section('search-filter')
    <!-- Search and Filters START-->
    <form class="form " action="{{ route($name . '.index') }}" method="get">
        <div class="d-flex justify-content-between">
            <div class="p-2 flex-fill ">
                @include('layouts.includes.forms.form_text',['field' => ['name' => 'name', 'text' => 'User']])
            </div>
            <div class="p-2 flex-fill ">
                <select class="form-control form-inline" name="gender">
                    <option value="none" @if(request()->query('gender') == 'none') selected @endif>Genders</option>
                    <option value="m"  @if(request()->query('gender') == 'males') selected @endif>Males</option>
                    <option value="f"  @if(request()->query('gender') == 'females') selected @endif>females</option>

                </select>
            </div>
            <div class="p-2 flex-fill ">
                <button type="submit" class="btn btn-block bg-blue mb-2">Filter</button>
            </div>
            <a href="{{ route($name. '.index') }}" class="small-header-bold"> X</a>

        </div>

    </form>
    <!-- Search and Filters END-->
@endsection




@section('table-header')

    <!------------------------------------------------------------- Columns START---------------------------------------------------------------------------->


    <th scope="col" scope="col" style="width: 10%" >@sortablelink('id', '#')</th>
    <th scope="col">@sortablelink('first_name', 'Name')</th>
    <th scope="col">Gender</th>
    <th scope="col">@sortablelink('nation_id', 'Nation')</th>
    <th scope="col" scope="col" style="width: 10%">Operations</th>


    <!------------------------------------------------------------- Columns END---------------------------------------------------------------------------->


@endsection



@section('table-body')
    @foreach ($clients as $client)
        <tr>

            <!------------------------------------------------------------- Rows START---------------------------------------------------------------------------->


            <td>{{ $client->id }}</td>
            <td>{{ $client->name }} </td>
            <td>{{ isset($client->gender)?$client->gender:"Not Available"}}</td>
            <td>{{ $client->nation->en_name }}</td>


            <!------------------------------------------------------------- Rows START---------------------------------------------------------------------------->

            <td class="d-flex justify-content-center"><a href="{{ route($name.'.show', $client->id) }}"
                class="btn clr-black  "><i class="fas fa-eye"></i></a>
               <a href="{{ route($name.'.edit', $client->id) }}"
                 class="btn clr-black "><i class="fas fa-edit"></i></a>
                   <form method="POST" action="{{ route('users.'.'destroy', $client->user_id) }}">
                      @csrf
                       {{ method_field('DELETE') }}
                       <button type="submit"
                        onclick="return confirm('Are you sure you want to delete this user?')"
                        data-toggle="modal" data-target="#exampleModal"
                   class="btn  clr-blue  bg-transparent"><i class="fas fa-trash-alt "></i></button>
                   </form>
               </td>
           </tr>
    @endforeach
@endsection
@section('table-footer')
<p class="table-footer">Results :  {{$data->total()}}</p>
@endsection
@section('extra_scripts')
@endsection

resources/views/clients/show.blade.php
@extends('layouts.app')
@section('title', $client->first_name." ".$client->last_name)

@section('content')
<!--Statistics-->
<div class="row">
  <div class="col ">
    <div class="card bg-blue mb-2 flex-fill ">
      <div class="card-header  d-flex justify-content-center">
        <i class="fab fas fa-street-view text-white my-3 display-4"></i>
      </div>
      <div class="card-body row text-center">
        <div class="col">
          <div class="text-vlarge text-white">{{$client->orders->count()}}</div>
          <div class="text-uppercase text-white small">Orders</div>
        </div>
      </div>
    </div>
  </div>
  <div class="col" >
    <div class="card bg-blue mb-2 flex-fill ">
      <div class="card-header  d-flex justify-content-center">
        <i class="fas fa-pencil-alt text-white my-3 display-4"></i>
      </div>
      <div class="card-body row text-center">
        <div class="col">
          <div class="text-vlarge text-white">{{$client->reviews->count()}}</div>
          <div class="text-uppercase text-white small">Reviews</div>
        </div>
      </div>
    </div>
  </div>
<div class="col" >
    <div class="card bg-blue mb-2  flex-fill">
      <div class="card-header  d-flex justify-content-center">
        <i class="fas fa-clipboard-list text-white my-3 display-4"></i>
      </div>
      <div class="card-body row text-center">
        <div class="col">
          <div class="text-vlarge text-white">{{$wishlists->count()}}</div>
          <div class="text-uppercase text-white small">Wishlists</div>
        </div>
      </div>
    </div>
  </div>

  </div>
</div>
</div>

<!--end of Statistics-->
<!--extra Info-->
<div class="row justify-content-center d-flex">
  @if($client->reviews->count()>0)
  <div class="col">
    <div class="card border-white">
      <div class="card-header bg-blue text-white"><b>Reviews</b></div>
      <table class="table  table-bordered  table-hover table-sm text-center  table-center ">
        <thead class="thead-light  ">
          <tr>
            {{-- <th scope="col">User</th> --}}
            <th scope="col">Partener</th>
            <th scope="col">Rate</th>
            <th scope="col">Tip</th>
            <th scope="col">Rate</th>
            <th scope="col">Created At</th>
            </tr>
        </thead>
        <tbody>
          @foreach($reviews as $review)
          <tr>
            <td><b><a href ={{route('stores.show',$review->store->id)}}>{{Str::limit($review->store->name,20)}} </a></b>
            </td>
            <td>{{$review->rate}}</td>
            <td>{{ Str::limit($review->tip ,30) }}</td>
            <td>{{ $review->rate}}</td>
            <td>{{Carbon\Carbon::parse($review->created_at)->diffForHumans()}}
            </td>
          </tr>
          @endforeach
        </tbody>
      </table>
    </div>
    <a href="{{route('clientsreviews.index',$client->id)}}" class="clr-blue text-bold float-right mb-2" >See more -></a>
  </div>
  @endif
</div>
<div class="row justify-content-center d-flex">
  @if($wishlists->count()>0)
  <div class="col">
    <div class="card border-white">
      <div class="card-header bg-blue text-white"><b>Lists</b></div>
      <table class="table  table-bordered  table-hover table-sm text-center  table-center ">
        <thead class="thead-light  ">
          <tr>
            {{-- <th scope="col">User</th> --}}
            <th scope="col">Name</th>
            <th scope="col">Bookmarked Counts</th>
            <th scope="col">Bookmarked Parteners</th>
            <th scope="col">Created At</th>
            </tr>
        </thead>
        <tbody>
          @foreach($wishlists as $wishlist)
          <tr>
            <td>{{$wishlist->name}} </td>
            <td>{{$wishlist->products->count()}} </td>
            <td>
            @if($wishlist->products->count()<=0)
            Empty
            @else
            @foreach ($wishlist->products as $product)
              @if($loop->last)
              <b><a href ={{route('stores.show',$product->original_product->store->id)}}>{{Str::limit($product->original_product->store->name,10)}} .</a></b>
              @else
              <b><a href ={{route('stores.show',$product->original_product->store->id)}}>{{Str::limit($product->original_product->store->name,10)}} ,</a></b>
              @endif
              @endforeach
            @endif
            </td>
            <td>{{Carbon\Carbon::parse($wishlist->created_at)->diffForHumans()}}
            </td>
          </tr>
          @endforeach
        </tbody>
      </table>
    </div>
  {{-- <a href="{{route('collections.index',$client->id)}}" class="clr-blue text-bold float-right mb-2" >See more -></a> --}}
  </div>
  @endif
</div>
<div class="row justify-content-center d-flex">
@if($orders->count()>0)
<div class="col">
  <div class="card border-white">
    <div class="card-header bg-blue text-white"><b>Checkins</b></div>
    <table class="table  table-bordered  table-hover table-sm text-center  table-center ">
      <thead class="thead-light  ">
        <tr>
          {{-- <th scope="col">User</th> --}}
          <th scope="col">Sub</th>
          <th scope="col">Partener</th>
          <th scope="col">Partener Bio</th>
          <th scope="col">Location</th>
          <th scope="col">Created at </th>
          </tr>
      </thead>
      <tbody>
        @foreach($checkins as $checkin)
        <tr>
          <td><a href ={{route('stores.index','sub_category='.$checkin->store->sub_category->id)}}>
           <b> {{$checkin->store->sub_category->name}} </b></a> </td>
           <td><b><a href ={{route('stores.show',$checkin->store->id)}}>{{Str::limit($checkin->store->name,10)}} </a></b></td>
          <td>{{ Str::limit($checkin->store->bio ,30) }}</td>
          <td>{{$checkin->latitude}} , {{$checkin->longitude}} </td>
          <td>{{Carbon\Carbon::parse($checkin->created_at)->diffForHumans()}}
          </td>
        </tr>
        @endforeach
      </tbody>
    </table>
  </div>
<a href="{{route('checkins.index',$client->id)}}" class="clr-blue text-bold float-right mb-2" >See more -></a>
</div>
@endif
</div>

<!-- end of extra Info-->
@endsection